[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# EResourceDescChangeNotAllowedException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Description is not allowed to change

## Declaration

Source position: resource.pp line 80

`type EResourceDescChangeNotAllowedException = class(EResourceException)`

## Inheritance

`EResourceDescChangeNotAllowedException` |  | Description is not allowed to change
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised when a resource description (either type or name) is tried to be changed, but the resource class doesn't allow it.

## See also

TAbstractResource._Type |  | The type of the resource
TAbstractResource.Name |  | The name of the resource